#
# spec file for package adms
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           adms
Version:        2.3.4
Release:        6.1
Summary:        An automatic device model synthesizer
License:        LGPL-2.1
Group:          Productivity/Scientific/Electronics
Url:            http://sourceforge.net/projects/mot-adms/
Source0:        http://downloads.sourceforge.net/mot-adms/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE adms-no-build-time.patch -- remove build time from binary
Patch1:         adms-no-build-time.patch
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  perl-GD
BuildRequires:  perl-XML-LibXML
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ADMS is a code generator that converts electrical compact device models
specified in high-level description language into ready-to-compile C code
for the API of spice simulators. Based on transformations specified in XML
language, ADMS transforms Verilog-AMS code into other target languages.

%prep
%setup -q
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/admsCheck
%{_bindir}/admsXml
%{_mandir}/man1/admsCheck.1.gz
%{_mandir}/man1/admsXml.1.gz

%changelog
* Wed Oct  1 2014 dmitry_r@opensuse.org
- Update to version 2.3.4
  * bugfix release, see included ChangeLog file
- Update adms-no-build-time.patch
- Build without shared libraries.
* Thu Jul  3 2014 dmitry_r@opensuse.org
- Fix devel package requirements
* Fri Jun 27 2014 dmitry_r@opensuse.org
- Initial package, version 2.3.2
- Remove build time from binary
  * adms-no-build-time.patch
